unit Careg2;

{ by Paul Toth (TothPaul@mygale.org) }
{ http://www.mygale.org/~tothpaul    }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Cmd400, ExtCtrls;

type
  TCmd400Form = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Memo1: TMemo;
    Panel1: TPanel;
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private-dclarations }
    RmtCmd1:TCmd400;
  public
    { Public-dclarations }
  end;

var
  RmtCmdForm: TCmd400Form;

Procedure ShowRmtCmd(ARmtCmd:TCmd400);

implementation

{$R *.DFM}

Procedure ShowRmtCmd(ARmtCmd:TCmd400);
 Var
  OldLog:TMemo;
 begin
  if ARmtCmd.Host=nil then
   ShowMessage('Host property not set')
  else
   if ARmtCmd.Host.Active=False then
    ShowMessage('Host not active')
   else begin
    RmtCmdForm:=TCmd400Form.Create(Application);
    With RmtCmdForm do begin
     OldLog:=ARmtCmd.Log;
     ARmtCmd.Log:=Memo1;
     RmtCmd1:=ARmtCmd;
     Panel1.Caption:='You are '+RmtCmd1.Host.UserId+' on system '+RmtCmd1.Host.SysName;
     ShowModal;
     ARmtCmd.Log:=OldLog;
    end;
    RmtCmdForm.Free;
   end;
 end;

procedure TCmd400Form.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
 if Key=#13 then begin
  Try
   RmtCmd1.Command:=Edit1.Text;
   Edit1.Text:='';
  Finally
   Memo1.Lines.Assign(RmtCmd1.Log);
  End;
 end;
end;

end.
