unit Nof400;

{ by Paul Toth (TothPaul@mygale.org) }
{ http://www.mygale.org/~tothpaul    }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Cawin;

type
  TQueryAttach=record
   SessionNumber:word;
   PartnerLUName:array[0..17] of char; { 8 . 8  }
   ModeName:array[0..8] of char;
   TPName:array[0..131] of char; { X' 64 hexa values ' }
  end;

  TNof400 = class(TComponent)
  private
    { Dclarations private }
  protected
    { Dclarations protected }
  public
    { Dclarations public }
    function QueryAttach(Var AQueryAttach:TQueryAttach; Count:integer):integer;
  published
    { Dclarations published }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('CAWIN', [TNof400]);
end;

Function TNof400.QueryAttach(Var AQueryAttach:TQueryAttach;Count:integer):integer;
 Var
  Query:TQuery_LU;
 begin
  With Query do begin
   Version     :=0;
   QueryType   :=qrAttach;
   FillChar(LookupKey,SizeOf(LookupKey),0);
   StorageSize :=Count*SizeOf(TQueryAttach);
   ItemCount   :=Count;
   Items       :=@AQueryAttach;
  end;
  FillChar(AQueryAttach,SizeOf(TQueryAttach)*Count,0);
  if NSQUERY(Query)=0 then
   Result:=Query.ItemCount
  else
   Result:=0;
 end;

end.
