unit Cawin;

{ by Paul Toth (TothPaul@mygale.org) }
{ http://www.mygale.org/~tothpaul    }

interface

Uses
 Wintypes;

{ EHNAPPC.DLL }
Function EHNAPPC_IsRouterLoaded(Handle:HWnd):boolean;
Function EHNAPPC_GetDefaultSystem(Handle:HWnd; SysName:PChar):integer;
Function EHNAPPC_QueryUserId(Handle:HWnd;SysName, UserId:PChar):Integer;
Function EHNAPPC_QuerySystems(Handle:Hwnd;Var Count:Integer; Var Systems):integer; 

Function EHNAPPC_ALLOCATE(HWnd:HWND; BuffSize:Word; ConvType, SyncLevel:Byte;
  LocationName, Tpn:Pchar;PipSize:word; Pip:pointer; Var ConvId:LongInt):integer;
Function EHNAPPC_DEALLOCATE(Hwnd:HWND;ConvId:LongInt;ConvType:byte):integer;
Function EHNAPPC_SENDDATA(Hwnd:Hwnd;ConvId:LongInt;DataLen:integer;Var Data;
  Var RqstToSnd:Byte):integer;
Function EHNAPPC_RECEIVEANDWAIT(Hwnd:HWnd;ConvId:LongInt;Fill:byte; MaxLen:Integer;
  Var Receive;  var What,RqstToSnd:byte; Var ReceiveSize:word):integer;

{ EHNSRW.DLL }
Function EHNSR_SubmitCommand(Handle:HWnd; SysName,Command:PChar;MsgBuffer:PChar; MsgLen:word; CallBack:pointer):integer;
Function EHNSR_StopConversation(Handle:HWnd; SysName:PChar):integer;
Function EHNSR_GetMessage(Hwnd:THandle; SysName:PChar;Var SevCode:word;MsgId,Msg:PChar;MsgLen:word;
 Buffer:Pchar; BufLen:word):integer;

{EHNTFW.DLL}
Function EHNTF_STF(Handle:HWnd; CallBack:pointer; var ConvID:LongInt; nFunction:byte;
 Var Buffer; BufferLen, RequestLen:integer; System:PChar; Conversation:byte;
 var ReturnAddress; var ReturnLen, ReturnCode:Integer):integer;

{EHNDPW.DLL}
Function EHNDP_StartSys(HWnd:HWND; SysName,AppName:PChar; var SysHandle:THandle):integer;
Function EHNDP_StopSys(HWnd:HWND; SysHandle:THandle):integer;
Function EHNDP_CreatePgm(HWnd:HWND; ProgramName,LibraryName:PChar; Var PgmHandle:THandle):integer;
Function EHNDP_DeletePgm(HWnd:HWND; PgmHandle:THandle):integer;
Function EHNDP_CallPgm(HWnd:HWND; SysHandle,PgmHandle:THandle):integer;
Function EHNDP_AddParm(HWnd:HWND; PgmHandle:THandle; ParmType:word; Len:LongInt; Var Parm):integer;
Function EHNDP_GetMsgLen(HWnd:HWND; PgmHandle:THandle; Index:word; Var MsgLen:longint):integer;
Function EHNDP_GetMsgText(HWnd:HWND; PgmHandle:THandle; Index:word; Var Msg):Integer;

{NOFNSD.DLL}
Type
 TQuery=(qrLLU,qrATTACH,qrLINK,qrMODE,qrPLU,qrPLUMODE,qrSESSION,qrSIDEINFO,qrTPDEF);

 TQuery_Lu=packed record
  ReturnCode   :integer;
  WichParmError:integer;
  Version      :byte;
  QueryType    :TQuery;
  LookupKey    :array[0..17] of char;
  StorageSize  :integer;
  ItemCount    :integer;
  Items        :pointer;
 end;

Function NSQUERY(Var Query:TQuery_LU):integer;


implementation

Function EHNAPPC_IsRouterLoaded;   external 'EHNAPPC';
Function EHNAPPC_GetDefaultSystem; external 'EHNAPPC';
Function EHNAPPC_QueryUserId;      external 'EHNAPPC';
Function EHNAPPC_QuerySystems;     external 'EHNAPPC';


Function EHNAPPC_ALLOCATE;       external 'EHNAPPC';
Function EHNAPPC_DEALLOCATE;     external 'EHNAPPC';
Function EHNAPPC_SENDDATA;       external 'EHNAPPC';
Function EHNAPPC_RECEIVEANDWAIT; external 'EHNAPPC';

Function EHNSR_SubmitCommand;    external 'EHNSRW';
Function EHNSR_StopConversation; external 'EHNSRW';
Function EHNSR_GetMessage;       external 'EHNSRW';

Function EHNTF_STF; external 'EHNTFW';

Function EHNDP_StartSys;   external 'EHNDPW';
Function EHNDP_StopSys;    external 'EHNDPW';
Function EHNDP_CreatePgm;  external 'EHNDPW';
Function EHNDP_DeletePgm;  external 'EHNDPW';
Function EHNDP_CallPgm;    external 'EHNDPW';
Function EHNDP_AddParm;    external 'EHNDPW';
Function EHNDP_GetMsgLen;  external 'EHNDPW';
Function EHNDP_GetMsgText; external 'EHNDPW';

Function NSQUERY; external 'NOFNSD.DLL';


end.
